Skip to main content
GET
/
v1
/
master-wallets
/
{masterId}
/
recoverable-assets
Get recoverable assets for a master wallet
curl --request GET \
  --url https://api.xentfi.com/v1/master-wallets/{masterId}/recoverable-assets \
  --header 'apiKey: <api-key>' \
  --header 'orgId: <api-key>'
const options = {method: 'GET', headers: {apiKey: '<api-key>', orgId: '<api-key>'}};

fetch('https://api.xentfi.com/v1/master-wallets/{masterId}/recoverable-assets', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
import requests

url = "https://api.xentfi.com/v1/master-wallets/{masterId}/recoverable-assets"

headers = {
"apiKey": "<api-key>",
"orgId": "<api-key>"
}

response = requests.get(url, headers=headers)

print(response.text)
package main

import (
"fmt"
"net/http"
"io"
)

func main() {

url := "https://api.xentfi.com/v1/master-wallets/{masterId}/recoverable-assets"

req, _ := http.NewRequest("GET", url, nil)

req.Header.Add("apiKey", "<api-key>")
req.Header.Add("orgId", "<api-key>")

res, _ := http.DefaultClient.Do(req)

defer res.Body.Close()
body, _ := io.ReadAll(res.Body)

fmt.Println(string(body))

}
const options = {method: 'GET', headers: {apiKey: '<api-key>', orgId: '<api-key>'}};

fetch('https://api.xentfi.com/v1/master-wallets/{masterId}/recoverable-assets', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
  "success": true,
  "data": {
    "native": "1.2345",
    "tokens": [
      {
        "address": "0xA0b86991c6218b36c1d19D4a2e9Eb0cE3606eB48",
        "symbol": "USDC",
        "balance": "1500.50",
        "decimals": 6,
        "name": "USD Coin",
        "logoUrl": "https://example.com/usdc-logo.png"
      }
    ]
  }
}
{
"success": false,
"error": {
"code": "NOT_FOUND",
"message": "Wallet not found",
"timestamp": "2023-11-07T05:31:56Z",
"requestId": "<string>"
}
}
{
"success": false,
"error": {
"code": "NOT_FOUND",
"message": "Wallet not found",
"timestamp": "2023-11-07T05:31:56Z",
"requestId": "<string>"
}
}
{
"success": false,
"error": {
"code": "NOT_FOUND",
"message": "Wallet not found",
"timestamp": "2023-11-07T05:31:56Z",
"requestId": "<string>"
}
}
{
"success": false,
"error": {
"code": "NOT_FOUND",
"message": "Wallet not found",
"timestamp": "2023-11-07T05:31:56Z",
"requestId": "<string>"
}
}

Authorizations

apiKey
string
header
required
orgId
string
header
required

Path Parameters

masterId
string
required

ID of the master wallet to check

Query Parameters

blockchainId
string
required

ID of the blockchain to check assets on

rpcUrl
string

Custom RPC URL for the blockchain (optional)

tokens
string

Comma-separated list of token addresses to check (optional).

Response

Recoverable assets retrieved successfully

success
boolean
Example:

true

data
object